class EmpReport {
  List<Data>? _data;

  EmpReport({List<Data>? data}) {
    if (data != null) {
      _data = data;
    }
  }

  List<Data>? get data => _data;
  set data(List<Data>? data) => _data = data;

  EmpReport.fromJson(Map<String, dynamic> json) {
    if (json['data'] != null) {
      _data = <Data>[];
      json['data'].forEach((v) {
        _data!.add(Data.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (_data != null) {
      data['data'] = _data!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Data {
  int? _eMPId;
  String? _rEGSTATUS;

  Data({int? eMPId, String? rEGSTATUS}) {
    if (eMPId != null) {
      _eMPId = eMPId;
    }
    if (rEGSTATUS != null) {
      _rEGSTATUS = rEGSTATUS;
    }
  }

  int? get eMPId => _eMPId;
  set eMPId(int? eMPId) => _eMPId = eMPId;
  String? get rEGSTATUS => _rEGSTATUS;
  set rEGSTATUS(String? rEGSTATUS) => _rEGSTATUS = rEGSTATUS;

  Data.fromJson(Map<String, dynamic> json) {
    _eMPId = json['EMP_id'];
    _rEGSTATUS = json['REGSTATUS'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['EMP_id'] = _eMPId;
    data['REGSTATUS'] = _rEGSTATUS;
    return data;
  }
}
